### Method

# RB StringValueMap get

#### Declaration [src]

    gboolean
    rb_string_value_map_get (
      RBStringValueMap* map,
      const char* key,
      GValue* out
    )

#### Description [src]

Locates and copies the value associated with the key.

#### Parameters

`key`

  Type: `const char*`

  Key to retrieve.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`out`

  Type: `GValue`

  Returns a copy of the value in the map.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` if the value was found.